Subject: bug#23144: shrinking windows with gtk 3.20

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 Apr 2016 18:47:23 +0300

> Date: Sat, 2 Apr 2016 11:19:00 -0400
> From: Matthias Clasen <[email-masked]>
> Cc: Paul Eggert <[email-masked]>, [email-masked]
> 
> If you consider the patch too risky to put in the emacs 25 branch at
> this point, an alternative might be to put a release note to inform
> distributors about this incompatibility and point them at the commit,
> so they can pick it up if they want to ship emacs 25 with gtk 3.20.

We would prefer to not include the change in Emacs 25.1 (that will be
released from the emacs-25 branch), and instead have some workaround
there that will be activated by the end-users, if and when they see
problems related to this.  Can you propose such a workaround?
Something like a call to xg_frame_resized with some reasonable
dimensions, for example?

TIA